import React from 'react';
import { ContentRect } from 'react-measure';
import StickyTree, { TreeNode } from './StickyTree';
import { StickyListProps } from './StickyList';
export interface AutoSizedStickyListProps<TNodeType extends TreeNode = TreeNode> extends Omit<StickyListProps<TNodeType>, 'width' | 'height'> {
    onResize?: (rect: ContentRect) => void;
    treeRef?: React.Ref<StickyTree<TNodeType>>;
    className?: string;
}
export interface AutoSizedStickyTreeState {
    width: number;
    height: number;
}
export default class AutoSizedStickyList<TNodeType extends TreeNode = TreeNode> extends React.PureComponent<AutoSizedStickyListProps<TNodeType>, AutoSizedStickyTreeState> {
    constructor(props: AutoSizedStickyListProps<TNodeType>);
    render(): JSX.Element;
}
