import React from 'react';
import { ContentRect } from 'react-measure';
import StickyTree, { StickyTreeProps, TreeNode } from './StickyTree';
export interface AutoSizedStickyTreeProps<TNodeType extends TreeNode = TreeNode> extends Omit<StickyTreeProps<TNodeType>, 'width' | 'height'> {
    onResize?: (rect: ContentRect) => void;
    treeRef?: React.Ref<StickyTree<TNodeType>>;
    className?: string;
}
export interface AutoSizedStickyTreeState {
    width: number;
    height: number;
}
export default class AutoSizedStickyTree<TNodeType extends TreeNode = TreeNode> extends React.PureComponent<AutoSizedStickyTreeProps<TNodeType>, AutoSizedStickyTreeState> {
    constructor(props: AutoSizedStickyTreeProps<TNodeType>);
    render(): JSX.Element;
}
