import React from 'react';
import StickyTree, { StickyTreeProps, TreeNode } from './StickyTree';
declare type OmitProps = 'getChildren' | 'root' | 'renderRoot';
export interface StickyListProps<TNodeType extends TreeNode = TreeNode> extends Omit<StickyTreeProps<TNodeType>, OmitProps> {
    items: TNodeType[];
    getHeight?: (item: TNodeType) => number;
    treeRef?: React.Ref<StickyTree<TNodeType>>;
}
export default class StickyList<TNodeType extends TreeNode = TreeNode> extends React.PureComponent<StickyListProps<TNodeType>> {
    getChildren: StickyTreeProps<TNodeType>['getChildren'];
    render(): JSX.Element;
}
export {};
