"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const StickyTree_1 = __importDefault(require("./StickyTree"));
class StickyList extends react_1.default.PureComponent {
    constructor() {
        super(...arguments);
        this.getChildren = (node) => {
            const { items, getHeight } = this.props;
            if (node.id === 'root') {
                // If they don't specify a getHeight function, they must be using the rowHeight prop.
                return items.map((item) => ({ node: item, height: getHeight ? getHeight(item) : undefined }));
            }
            return undefined;
        };
    }
    render() {
        const _a = this.props, { items, rowRenderer, width, height, treeRef, getHeight } = _a, rest = __rest(_a, ["items", "rowRenderer", "width", "height", "treeRef", "getHeight"]);
        return (react_1.default.createElement(StickyTree_1.default, Object.assign({ ref: treeRef, getChildren: this.getChildren, renderRoot: false, root: { node: { id: 'root' } }, rowRenderer: rowRenderer, width: width, height: height }, rest)));
    }
}
exports.default = StickyList;
